function C=aXpbY_init(a,X,b,Y)
% function C=aXpbY(a,X,b,Y)
%   returns C=a*X+b*Y
  assert( isscalar(a) && isscalar(b) )
  isX3D=fc_linalg3D.is3Darray(X);
  isY3D=fc_linalg3D.is3Darray(Y);
  assert( isX3D || isY3D , 'One of the 2nd or 4th parameter must be a 3D-array')
%  I comment the following for benchmark testing  
%    if isX3D && isY3D
%      assert( any(size(X)==size(Y)) )
%      C=a*X+b*Y;
%      return
%    end
%    if isscalar(X) || isscalar(Y) 
%      C=a*X+b*Y;
%      return
%    end
  C=[];
end
