function AA=to3Darray(A,N,m,n)
  if length(size(A))==2
    if all( size(A)==[1,1] ),AA=A;return;end
    if all( size(A)==[N,1] ) %size(A,1)==N && size(A,2)==1 
      AA=repmat(A,1,m,n);
      return 
    end
    if all( size(A)==[1,N] ) %size(A,1)==1 && size(A,2)==N
      AA=repmat(A.',1,m,n);
      return 
    end
    if all( size(A)==[N,1] ) %size(A,1)==1 && size(A,2)==N
      AA=repmat(A,1,m,n);
      return 
    end
    if all( size(A)==[m,n] ) %size(A,1)==m && size(A,2)==n
      AA=permute(repmat(A,1,1,N),[3,1,2]);
      return
    end
    if all( size(A)==[1,1] ) %size(A,1)==1 && size(A,2)==1
      AA=A*ones(N,m,n);
      return 
    end
    error('Unable to convert array (%d,%d) in a 3Darray (%d,%d,%d)',size(A,1),size(A,2),N,m,n)
  end
  assert( all(size(A)==[N,m,n]) ,'3Darray size failed')
  AA=A;
  AA=fc_linalg3D.redim(AA,[N,m,n]); % for compatibily with Matlab < 2016b
end
